<?
session_start();
include("../clases/BDConexion.php");
include("../clases/clsPer.php");
include("Funciones.php");

$objPer=new clsPer; 

$existecod=$objPer->ExisteManifiesto($cod_man);
if($q==1){
$rsperd=$objPer->getPassDatosPT($cod_man,$via);	
while($rowperd=$objPer->NextRow($rsperd)){
$personal=$rowperd['nombres'];
$dociden_per=$rowperd['dociden_per'];
$razon_emp=$rowperd['razon_emp'];
$peso_per=$rowperd['peso_mpass'];
$peso_eq=$rowperd['pesoeq_mpass'];
$tipo_mpass=$rowperd['tipo_mpass'];
$ccosto=$rowperd['ccosto'];
$origen=$rowperd['origen'];
$destino=$rowperd['destino'];
$distancia=$rowperd['distancia'];
$id=$rowperd['id'];
$codigo_mpass=$rowperd['codigo_mpass'];
$numorigen=$rowperd['numorigen'];
$numdestino=$rowperd['numdestino'];
						
$pasajeros122[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);
}$objPer->Liberar($rsperd);


$rscard=$objPer->getCargaDatos($cod_man,$via);	
while($rowcard=$objPer->NextRow($rscard)){

$des_w=$rowcard['des_w'];
$compania=$rowcard['compania'];
$guia_w=$rowcard['guia_w'];
$ccosto_w=$rowcard['ccosto'];
$ttc=$rowcard['tipocarga'];
$tipounidad=$rowcard['tipounidad'];
$cant_w=$rowcard['cant_w'];
$peso_w=$rowcard['peso_w'];
$origen_w=$rowcard['origen'];
$destino_w=$rowcard['destino'];
$distanciac=$rowcard['distancia'];
$codigo_w=$rowcard['codigo_w'];
$numorigen_w=$rowcard['numorigen'];
$numdestino_w=$rowcard['numdestino'];
$id_w=$rowcard['id_peso'];
						
$cargac122[]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$rowcard['id_peso']);
}$objPer->Liberar($rscard);
if(isset($pasajeros122)){
$pasajeros12=$pasajeros122+$pasajeros1;
}else{
$personal='0';
$dociden_per='0';
$razon_emp='0';
$peso_per='0';
$peso_eq='0';
$tipo_mpass='0';
$ccosto='0';
$origen='0';
$destino='0';
$distancia='0';
$id='0';
$codigo_mpass='0';
$numorigen='0';
$numdestino='0';						
$pasajeros122[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);
$pasajeros12=$pasajeros122+$pasajeros1;
}
if(isset($cargac122)){
$cargac12=$cargac122+$cargac1;
}else{
$des_w='0';
$compania='0';
$guia_w='0';
$ccosto_w='0';
$ttc='0';
$tipounidad='0';
$cant_w='0';
$peso_w='0';
$origen_w='0';
$destino_w='0';
$distanciac='0';
$codigo_w='0';
$numorigen_w='0';
$numdestino_w='0';
$id_w='0';
$cargac122[]=array("$des_w",$compania,$guia_w,$ccosto_w,$ttc,$tipounidad,$cant_w,$peso_w,$origen_w,$destino_w,$distanciac,$codigo_w,$numorigen_w,$numdestino_w,$id_w);
$cargac12=$cargac122+$cargac1;
}
}
//echo count($cargac12)."<br>";
if($existecod!=0){
	if($ir==1){		
		while(list($clavez,$valorz)=each($pasajeros12)){	
		//echo $valorz[11]."<br>";	
			if($valorz[11]!=''){	
			$objPer->UpdateManRutaPass($valorz[10],$valorz[3]);				
			}else{
			$objPer->DeleteManRutaPass2($valorz[10]);
			}
		}		
		while(list($clavex,$valorx)=each($cargac12)){
		//echo $valorx[11]."<br>";
			if($valorx[11]!=''){
			$objPer->UpdateManRutaCarga($valorx[14],$valorx[7]);
			}else{
			$objPer->DeleteManRutaCarga2($valorx[14]);
			}
		}
		Redirigir("p_lista_viajes_d.php?cod_ruta=$cod_ruta&via=$via&fecha_ini=$fecha_ini&fecha_fin=$fecha_fin&matricula=$matricula");
	}elseif($ir==2){
		while(list($clavez,$valorz)=each($pasajeros12)){
			if($valorz[11]!=''){			
			$objPer->UpdateManRutaPass($valorz[10],$valorz[3]);
			}else{
			$objPer->DeleteManRutaPass2($valorz[10]);
			}
		}
		while(list($clavex,$valorx)=each($cargac12)){
			if($valorx[11]!=''){
			$objPer->UpdateManRutaCarga($valorx[14],$valorx[7]);
			}else{
			$objPer->DeleteManRutaCarga2($valorx[14]);
			}
		}
		Redirigir("fondo.php");
	}
}else{	
	if($ir==1){		
		while(list($clavez,$valorz)=each($pasajeros12)){
			if($valorz[11]!=''){
			$objPer->UpdateManRutaPass($valorz[10],$valorz[3]);
			}else{
			$objPer->DeleteManRutaPass2($valorz[10]);
			}
		}
		while(list($clavex,$valorx)=each($cargac12)){
			if($valorx[11]!=''){
			$objPer->UpdateManRutaCarga($valorx[14],$valorx[7]);
			}else{
			$objPer->DeleteManRutaCarga2($valorx[14]);
			}
		}
		Redirigir("p_lista_viajes_d.php?cod_ruta=$cod_ruta&via=$via&fecha_ini=$fecha_ini&fecha_fin=$fecha_fin&matricula=$matricula");
	}elseif($ir==2){
		while(list($clavez,$valorz)=each($pasajeros12)){
			if($valorz[11]!=''){
			$objPer->UpdateManRutaPass($valorz[10],$valorz[3]);
			}else{
			$objPer->DeleteManRutaPass2($valorz[10]);
			}
		}
		while(list($clavex,$valorx)=each($cargac12)){
			if($valorx[11]!=''){
			$objPer->UpdateManRutaCarga($valorx[14],$valorx[7]);
			}else{
			$objPer->DeleteManRutaCarga2($valorx[14]);
			}
		}			
		Redirigir("fondo.php");
	}
}
?>

